Munin::Node::Config(3)

NAME
Munin::Node::Config - Singleton node configuration container. Reads configuration files.

SYNOPSIS
 $config = Munin::Node::Config->instance();
 $config->parse_config_from_file('/etc/munin/munin-node.conf');
 print $config->{fqdn}, "\n";

METHODS

instance
     $config = Munin::Node::Config->instance();

    Returns the singleton instance of this class.

reinitialize
     $config->reinitialize();

    Deletes all configuration variables

     $config->reinitialize(\%variables);

    Deletes all configuration variables and reinitializes the object with values from \%variables.

parse_config_from_file
      $config->parse_config_from_file($filename);

    Parses the munin node configuration from a file. Dies if the file fails the paranoia checks.

parse_config
     $config->parse_config($io_handle);

    Parses the munin node configuration from a filehandle.

process_plugin_configuration_files
     $config->process_plugin_configuration_files();

    Parses all unignored files in the plugin configuration folder.

parse_plugin_config_file
     $config->parse_plugin_config_file($file);

    Parses the plugin configuration in $file.

parse_plugin_config
     $config->parse_plugin_config($io_handle);

    Parses the plugin configuration from an IO::Handle.

apply_wildcards
     $config->apply_wildcards();

    Applies the contents of any wildcard plugin configuration sections to matching plugins.

    See <http://munin-monitoring.org/wiki/Priority_and_inheritance>